%global modulename source-map-url

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-source-map-url
Version:        0.4.0
Release:        1%{?dist}
Summary:        Tools for working with sourceMappingURL comments.

License:        MIT
URL:            https://github.com/lydell/source-map-url#readme
Source0:        https://registry.npmjs.org/source-map-url/-/source-map-url-0.4.0.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch


Requires:       npmlib(%{modulename}) = %{version}

%description
Tools for working with sourceMappingURL comments.

%package 0.4.0
Summary:        Tools for working with sourceMappingURL comments.


%description 0.4.0
Tools for working with sourceMappingURL comments.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .jshintrc %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr bower.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr component.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr source-map-url.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr x-package.json5 %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc changelog.md
%doc readme.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 0.4.0
%doc changelog.md
%doc readme.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Mon Nov 26 2018 npm2srpm <dshea@redhat.com> - 0.4.0-1
- Package automatically generated by npm2srpm
